Get Articles

This endpoint fetches a set of articles meeting specified criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The client ID, e.g. DEMO

string

Page number, zero-indexed, default = 0

string

Page size. It is recommended never to exceed a value greater than 1000 items. Default = 100.

string

Sort parameter. Putting a '-' in front of the parameter will sort descending. Default = "-pinned,-publishDate"

string

Boolean corresponding to the article/page toggle in the Cortex CMS. If set to true, it will return pages. If false, it will return articles.

string

Pinned articles only (boolean)

string

Hero media title. It returns all articles or pages in which the string features as all or part of the title.

string

Language code, following the BCP47 standard, e.g. "en" or "en-GB"

string

The list of fallback languages, to be used if there is no version of a given article available in the primary language. Fallback languages should be comma separated, and specified in the order in which they should be prioritised.

string

Contains these tags (comma separated), e.g. "tags=football,club". Where multiple tags are specified, it returns only the articles or pages with at least one of those tags.

string

Tags to exclude (comma separated), e.g. "notTags=news,clubs"

string

A comma-separated list of article IDs.

string

A comma-separated list of category IDs. It returns only those articles or pages with at least one of those category IDs.

string

Returns only those articles or pages with this string as the category slug.

string

Query by multiple linkedIds. Each source system is separated by ";". The source system and source system IDs are separated by ":". Source system IDs can be a comma separated list. For example OPTA_FOOTBALL_PLAYER:3992,3492;OPTA_FOOTBALL_TEAM:t43

string

When querying by multiple 'linkedIds', defines which logical operator is used. Possible values: "OR", "AND". Default is "OR"

Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json